This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 724008

Summary: libgssapi, libgssglue: Ability to load untrusted configuration file, when loading GSS mechanisms and their definitions during initialization [fedora-all]
Product: [Fedora] Fedora Reporter: Jan Lieskovsky <jlieskov>
Component: libgssapiAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 19CC: pj.pandit, steved
Target Milestone: ---Keywords: Reopened, Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: fst_ping=1
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-08 23:06:18 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 724005    

Description Jan Lieskovsky 2011-07-21 13:36:30 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=724005

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora End Of Life 2012-08-07 15:23:51 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Stefan Cornelius 2012-08-23 02:20:36 EDT
This does not seem fixed to me, reopening.
Comment 4 Fedora End Of Life 2013-04-03 15:57:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 pjp 2014-12-03 13:22:04 EST
Hello steved,

Could you please fix this soon?
Comment 6 Steve Dickson 2014-12-03 14:54:14 EST
(In reply to pjp from comment #5)
> Hello steved,
> 
> Could you please fix this soon?
neither libgssapi or libgssglue are used in f20 and beyond
So I'm thinking its not worth fixing this since
it would be a major re-write...
Comment 7 pjp 2014-12-05 11:20:35 EST
  Hello Steve,

(In reply to Steve Dickson from comment #6)
> neither libgssapi or libgssglue are used in f20 and beyond
> So I'm thinking its not worth fixing this since it would be a major re-write...

  Thanks so much for the details. Since the packages have been already retired, and not available in future releases, it'd be better to close this bug with due comments.

  -> https://admin.fedoraproject.org/pkgdb/package/libgssglue/
  -> https://admin.fedoraproject.org/pkgdb/package/libgssapi/

Thank you.